vla-open

Discussion in 'AutoCAD' started by kemp, Jul 23, 2004.

  1. kemp

    kemp Guest

    When trying to use the following function I get an automation error if
    someone is using the file being referenced. Can I reformat this to open
    the file read only or something?

    (setq dbxdoc (vla-GetInterfaceObject *acad* ObjectDBX.AxDbDocument.16"))
    (vla-open dbxdoc filename)

    I did try using (vla-open dbxdoc filename :vlax-true) but I still get
    the Automation error...

    thanks again!
    kemp
     
    kemp, Jul 23, 2004
    #1
  2. Nope. If the target document is RO, you must either work on a copy of the
    document, or skip it.

    --
    R. Robert Bell


    When trying to use the following function I get an automation error if
    someone is using the file being referenced. Can I reformat this to open
    the file read only or something?

    (setq dbxdoc (vla-GetInterfaceObject *acad* ObjectDBX.AxDbDocument.16"))
    (vla-open dbxdoc filename)

    I did try using (vla-open dbxdoc filename :vlax-true) but I still get
    the Automation error...

    thanks again!
    kemp
     
    R. Robert Bell, Jul 23, 2004
    #2
  3. kemp

    kemp Guest

    I should have figured. Nothing is that easy. I suppose I will have to
    create a function to copy the files.

    Thanks!

    kemp
     
    kemp, Jul 23, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.